classification
Title: Rename IDLE's "Windows" menu item to "Window"
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Al.Sweigart, ned.deily, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2015-01-07 07:16 by Al.Sweigart, last changed 2015-01-18 05:13 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
patch.diff Al.Sweigart, 2015-01-07 07:16 Fix for the issue. review
idle_window_doc_rename.diff Al.Sweigart, 2015-01-12 04:18 review
Messages (9)
msg233566 - (view) Author: Al Sweigart (Al.Sweigart) * Date: 2015-01-07 07:16
Currently IDLE's top-level menu item is "Windows" on Windows & Linux but is specifically changed to "Window" on OS X to match mac's look and feel. See https://hg.python.org/cpython/rev/1b3b6b1982aa

The singular "Window" is the standard menu name on all platforms, and "Windows" should never be used. Note: Photoshop, Blender, Visual Studio, IntelliJ, WinMerge, HxD, and Notepad++ on Windows use the "Window" name in their menus. I can't find any that use "Windows".
msg233605 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-01-07 21:39
I guess the logic of the plural was that the submenu lists windows to select from.  The logic of the singular is that the submenu lets a user select and jump to *a* window, just as the file menu allows one to select and open (if needed) *a* file.

Somewhat oddly, Notepad++ Window menu has a Windows entry.

Please mark Idle issues for exactly 2.7, 3.4, and 3.5.
msg233833 - (view) Author: Al Sweigart (Al.Sweigart) * Date: 2015-01-11 04:21
Will do, re marking IDLE issues for 2.7, 3.4, and 3.5 only. Thanks for the heads up.
msg233863 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-01-11 20:57
Also, the IDLE help text file (Lib/idlelib/help.txt) and the IDLE documentation in the Standard Library Reference (Doc/library/idle.rst) refer to the "Windows" menu and would need to be updated.
msg233874 - (view) Author: Al Sweigart (Al.Sweigart) * Date: 2015-01-12 04:18
Added another patch for the documentation changes for the menu renaming.
msg234215 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-01-18 02:59
LGTM.  Terry, should I apply them?
msg234219 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-01-18 04:19
I cannot currently test or commit a patch.  So go ahead.
msg234220 - (view) Author: Roundup Robot (python-dev) Date: 2015-01-18 05:10
New changeset 9a451aaa8ddb by Ned Deily in branch '2.7':
Issue #23180: Rename IDLE "Windows" menu item to "Window".
https://hg.python.org/cpython/rev/9a451aaa8ddb

New changeset 8c0e5b507794 by Ned Deily in branch '3.4':
Issue #23180: Rename IDLE "Windows" menu item to "Window".
https://hg.python.org/cpython/rev/8c0e5b507794

New changeset af092c1d3747 by Ned Deily in branch 'default':
Issue #23180: merge from 3.4
https://hg.python.org/cpython/rev/af092c1d3747
msg234221 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-01-18 05:13
Thanks for the patches, Al.  Pushed for release in 2.7.10, 3.4.3, and 3.5.0.
History
Date User Action Args
2015-01-18 05:13:02ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg234221

stage: patch review -> resolved
2015-01-18 05:10:23python-devsetnosy: + python-dev
messages: + msg234220
2015-01-18 04:19:58terry.reedysetmessages: + msg234219
2015-01-18 02:59:42ned.deilysetmessages: + msg234215
2015-01-12 04:18:18Al.Sweigartsetfiles: + idle_window_doc_rename.diff

messages: + msg233874
2015-01-11 20:57:00ned.deilysetnosy: + ned.deily
messages: + msg233863
2015-01-11 04:21:58Al.Sweigartsetmessages: + msg233833
2015-01-07 21:39:22terry.reedysetversions: - Python 3.2, Python 3.3, Python 3.6
nosy: + terry.reedy

messages: + msg233605

stage: patch review
2015-01-07 07:16:27Al.Sweigartcreate